Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

add version information to "Powered by" footer text #194

Merged
merged 2 commits into from

3 participants

@tomkralidis
Owner

No description provided.

@ingenieroariel

Thanks for this pull request Tom. After reading the code I see there is a small typo in init.py (version and not __version).

If no one objects, I will be pulling this into master by the end of the week.

Ariel.

@tomkralidis
Owner

Thanks Ariel. Fixed in tomkralidis@58c5598

@jj0hns0n jj0hns0n merged commit 58c5598 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Mar 28, 2012
  1. @tomkralidis
Commits on Apr 2, 2012
  1. @tomkralidis

    s/__version/__version__/

    tomkralidis authored
This page is out of date. Refresh to see the latest.
View
1  src/GeoNodePy/geonode/__init__.py
@@ -0,0 +1 @@
+__version__='1.1'
View
2  src/GeoNodePy/geonode/maps/context_processors.py
@@ -1,4 +1,5 @@
from django.conf import settings
+from geonode import __version__
def resource_urls(request):
return dict(
@@ -8,4 +9,5 @@ def resource_urls(request):
GOOGLE_API_KEY = settings.GOOGLE_API_KEY,
SITENAME = settings.SITENAME,
REGISTRATION_OPEN = settings.REGISTRATION_OPEN,
+ VERSION = __version__,
)
View
2  src/GeoNodePy/geonode/templates/page_layout.html
@@ -78,7 +78,7 @@
<div class="wrap selfclear">
{% block footer %}
<div class="onecol">
- Powered by <a href="http://geonode.org">{% trans "GeoNode" %}</a>
+ Powered by <a href="http://geonode.org">{% trans "GeoNode" %} {{VERSION}}</a>
| <strong>{% trans "Need Help?" %}</strong>
<a href="{% url geonode.views.static "help" %}">{% trans "Help" %}</a>
| <a href="{% url geonode.views.developer %}">{% trans "For Developers" %}</a>
View
3  src/GeoNodePy/setup.py
@@ -1,9 +1,10 @@
from setuptools import setup, find_packages
import pkg_resources
import sys, os
+from geonode import __version__
name='GeoNodePy'
-version = "1.1"
+version = __version__
req = pkg_resources.Requirement.parse(name)
setup(name=name,
Something went wrong with that request. Please try again.